{-

  ghc -package exif --make -o showexif showexif.hs

-}

import Graphics.Exif

import System.Environment

printExif file =
    do exif <- fromFile file
       putStrLn "Loaded EXIF data"
       d <- getTag exif "DateTime"
       putStrLn $ "DateTime: " ++ show d
       putStrLn "--"
       ts <- allTags exif
       mapM_ printTag ts

printTag (n,v) = 
    putStrLn $ n ++ ": " ++ v

main = do
       args <- getArgs
       case args of 
                 [file] -> printExif file
                 _ -> fail "Usage: showexif <file>"
